provider:
  name: faas
  gateway: {{ pi_install_piperci_faas_gateway }}
functions:
{% for key, value in pi_install_piperci_faas.items() %}
  {%- for func in value['functions'] %}

  {{ func['name'] }}:
    environment:
      write_debug: true
    lang: piperci-flask
    handler: ./{{ func.name | replace('-', '_') }}
    image: {{ func.image }}
    secrets:
      - access-key
      - secret-key

  {%- endfor %}
{% endfor %}
